#hid45-list {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 5px 1rem;
}

#hid45-list li {
    border:1px solid #ccc;
    margin:0.1em;
    border-radius:0.25em;
    overflow:hidden;
}

#hid45-list.checkboxList  li input[type="checkbox"] {
    position: absolute;
    margin-top: 0.25rem; 
    margin-left: 0.25rem;
}

#hid45-list.checkboxList li input[type="checkbox"] + label {
    display: inline-block;
    width: 100%;
    position: relative;
    padding: 0.5em;
    padding-left: 3rem;
    margin: 0;
}

input[type=text]:has(+ .checkboxList) {
    visibility: hidden;
    position: absolute;
}